Description

Currently we have the following relationships:
(1) EML Datapackage

(1...n) DataTables in the Datapackage

(1) Annotation per DataTable

Option A (as is):
It is possible to have multiple Annotations per DataTable (an additional file for each annotation-datatable pair) but this is not yet
implemented in the Morpho plugin.

Option B (enhancement):
Alternatively, we might want to have a single Annotation annotate multiple dataTables (one file for multiple datatable annotations).
This is not yet implemented/supported in the Annotation Schema.

History

#1 - 05/04/2010 02:02 PM - ben leinfelder

This notion of multiple annotations per data table came up again recently (due to a bug, actually).

I'm wondering if we should explicitly restrict having more than one annotation for any given table (so that we can immediately detect bugs like the one
i found today) or if we should try to highlight the fact that you can have alternate "interpretations” on the same table.

#2 - 04/04/2011 02:53 PM - ben leinfelder

Here's the current plan:

-only allow a single annotation per EML datapackage

-the annotation can only be updated by someone with permissions to update the EML package it is annotating.

-both Morpho and Metacat should be able to check and prevent multiple annotations be written to a shared location (metacat).

-annotations can be made locally in Morpho, but if an annotation already exists on Metacat, there will be a prompt to duplicate the EML and
annotation before attempting to write them to Metacat.

#3 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4675

#4 - 11/26/2013 08:49 AM - ben leinfelder

- Target version changed from Unspecified to morpho-plugin-0.9.0

#5 - 11/26/2013 09:00 AM - ben leinfelder

- Target version changed from morpho-plugin-0.9.0 to sms-core-1.0.0
